### Method

# Gdk Toplevel set_modal

#### Declaration [src]

    void
    gdk_toplevel_set_modal (
      GdkToplevel* toplevel,
      gboolean modal
    )

#### Description [src]

Sets the toplevel to be modal.

The application can use this hint to tell the window manager that a certain surface has modal behaviour. The window manager can use this information to handle modal surfaces in a special way.

You should only use this on surfaces for which you have previously called gdk_toplevel_set_transient_for().

Sets property | `Gdk.Toplevel:modal`

#### Parameters

`modal` | `gboolean`
| `TRUE` if the surface is modal, `FALSE` otherwise.